function qingjiejie_touch(npcId)

xz=flag.GetValue(6001) --主线旗标

     --NPC朝向
     local x,z = npc.GetAt(npcId)
     npc.TurnToPlayer(npcId)
     global.WaitForNpcTurn(npcId)
     
     
	if xz>=0 then          			--游戏开始
	
	if flag.GetValue(34012)==0 then

	ui.Popo(170741,1,npcId,0)--被你发现了……！
	ui.Popo(170742,1,npcId,0)--那就给你一个机会吧。
	ui.Popo(170743,1,npcId,0)--你有玩过仙剑五的情姐姐DLCMOD『仙缘再续』吗？
    ui.PopoChoose(170744,34011,33102,2,170745,170746)
	
	else
	
	ui.Popo(170750,1,npcId,0)--看到背后的大船了？你有船票么？它就快启航啦，姐姐也得准备一下才是，仙六MOD再见……！（会有么……）
	--npc回头
    npc.TurnTo(npcId,x,z)
    global.WaitForNpcTurn(npcId)
	
	end
	
	end




end